ubuntu/+source/python-pbr:applied/debian/experimental

Last commit made on 2019-03-27
Get this branch:
git clone -b applied/debian/experimental https://git.launchpad.net/ubuntu/+source/python-pbr
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/debian/experimental
Repository:
lp:ubuntu/+source/python-pbr

Recent commits

6a7f3d9... by Thomas Goirand <email address hidden> on 2019-03-27

Import patches-applied version 5.1.3-2 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: 9b12446048635564c14823b7d7a012a10603463c
Unapplied parent: 55f369974b7e65b548dee2bdff196afd3a2c22e1

New changelog entries:
  * Removed management of alternatives.
  * New upstream release.
  * Removed Python 2 support.
  * Removed now useless patches:
    - fix-wheel.install.py-doesnt-exist-anymore.patch
    - wheel_file.zipfile-is-moved-in-recent-wheel.patch

55f3699... by Thomas Goirand <email address hidden> on 2019-03-27

Disable tests which don't work in debian

Gbp-Pq: disable_tests.patch.

469859e... by Thomas Goirand <email address hidden> on 2019-03-27

Import patches-unapplied version 5.1.3-2 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 267b79ac5f423a769d36f5f74c606151c8167f11

New changelog entries:
  * Removed management of alternatives.
  * New upstream release.
  * Removed Python 2 support.
  * Removed now useless patches:
    - fix-wheel.install.py-doesnt-exist-anymore.patch
    - wheel_file.zipfile-is-moved-in-recent-wheel.patch

9b12446... by Thomas Goirand <email address hidden> on 2018-12-30

Import patches-applied version 4.2.0-5 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 70f122a2552310505a6a982ab8f3652d685681e6
Unapplied parent: eafe6456ebaf359afbc19e931a62cb7ebefba68c

New changelog entries:
  [ Mattia Rizzolo ]
  * Team upload.
  * Mark the build-depends on python(3)-all-dev as <!nocheck> and move them to
    Build-Depends-Indep.
  * Bump Standards-Version to 4.2.1:
    + Set Rules-Requires-Root:no.
  * Mark python-pbr-doc as Multi-Arch:foreign (from the m-a hinter).
  [ Thomas Goirand ]
  * Add patches to fix FTBFS (Closes: #917678):
    - fix-wheel.install.py-doesnt-exist-anymore.patch
    - wheel_file.zipfile-is-moved-in-recent-wheel.patch

267b79a... by Thomas Goirand <email address hidden> on 2018-12-30

Import patches-unapplied version 4.2.0-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 514e3b2a77389bf30d5b3dd607cb618ef8ee889b

New changelog entries:
  [ Mattia Rizzolo ]
  * Team upload.
  * Mark the build-depends on python(3)-all-dev as <!nocheck> and move them to
    Build-Depends-Indep.
  * Bump Standards-Version to 4.2.1:
    + Set Rules-Requires-Root:no.
  * Mark python-pbr-doc as Multi-Arch:foreign (from the m-a hinter).
  [ Thomas Goirand ]
  * Add patches to fix FTBFS (Closes: #917678):
    - fix-wheel.install.py-doesnt-exist-anymore.patch
    - wheel_file.zipfile-is-moved-in-recent-wheel.patch

eafe645... by Thomas Goirand <email address hidden> on 2018-12-30

wheel_file.zipfile is moved in recent wheel API

Gbp-Pq: wheel_file.zipfile-is-moved-in-recent-wheel.patch.

e08a620... by Thomas Goirand <email address hidden> on 2018-12-30

Fix wheel.install doesn't exist anymore

Gbp-Pq: fix-wheel.install.py-doesnt-exist-anymore.patch.

20f1cf3... by Thomas Goirand <email address hidden> on 2018-12-30

Disable tests which don't work in debian

Gbp-Pq: disable_tests.patch.

70f122a... by Ondřej Nový on 2018-09-05

Import patches-applied version 4.2.0-4 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 26617718d5c236a42f0f50d3cd2e77442cd957cd
Unapplied parent: dfcda06e136453fe735c3f29c3c7b437dd820ba0

New changelog entries:
  * Add python{,3}-setuptools into runtime depends

514e3b2... by Ondřej Nový on 2018-09-05

Import patches-unapplied version 4.2.0-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4cf1517b4052cf7c29878ca133ff84794e34f4fe

New changelog entries:
  * Add python{,3}-setuptools into runtime depends